<?php 
function consultaQtosNaTurma($ano, $curso) {
    $contador = 0;
    if (strpos($curso, 'grono') !== false) {
        $fh = fopen('agronomia.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'lores') !== false) {
        $fh = fopen('florestal.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'mento') !== false) {
        $fh = fopen('alimentos.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
}


function qtosPresentes($ano, $curso) {
    $contador = 0;
    //$qtosNaTurma = consultaQtosNaTurma($ano, $curso);
    if (strpos($curso, 'grono') !== false) {
        $fh = fopen('registros/agronomia.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'lores') !== false) {
        $fh = fopen('registros/florestal.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'mento') !== false) {
        $fh = fopen('registros/alimentos.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        $aTurma = consultaQtosNaTurma($ano, $curso);
        return $contador;
    }
}
?>
<html>
    <head>
        <meta charset="utf-8">
        <title>Relatórios</title>
    </head>
    <link rel="stylesheet" type="text/css" href="style.css">
    <body>
        <h1>Festa da Saudade</h1>

        <?php
        $curso = "";
        $todos = Array();
        $contaQtos = Array();
        $count = 0;
        for ($i = 1966; $i <= 2017; $i++) {
            $todos[$count] = $i;
            $contaQtos[$count] = 0;
            $count ++;
        }
        if (strpos($_GET["curso"], 'grono') !== false) {
            $curso = "Agronomia";

            $fh = fopen('agronomia.txt', 'r');
            while ($line = fgets($fh)) {
                $parametro = trim($line);
                $anoLine = explode(';', $parametro)[2];

                for ($j = 0; $j < sizeof($todos); $j++) {
                    if ($anoLine == $todos[$j]) {
                        $contaQtos[$j] = $contaQtos[$j] + 1;
                    }
                }
            }
        }
        if (strpos($_GET["curso"], 'lores') !== false) {
            $curso = "Engenharia Florestal";

            $fh = fopen('florestal.txt', 'r');
            while ($line = fgets($fh)) {
                $parametro = trim($line);
                $anoLine = explode(';', $parametro)[2];

                for ($j = 0; $j < sizeof($todos); $j++) {
                    if ($anoLine == $todos[$j]) {
                        $contaQtos[$j] = $contaQtos[$j] + 1;
                    }
                }
            }
        }
        if (strpos($_GET["curso"], 'mento') !== false) {
            $curso = "Engenharia de Alimentos";

            $fh = fopen('alimentos.txt', 'r');
            while ($line = fgets($fh)) {
                $parametro = trim($line);
                $anoLine = explode(';', $parametro)[2];

                for ($j = 0; $j < sizeof($todos); $j++) {
                    if ($anoLine == $todos[$j]) {
                        $contaQtos[$j] = $contaQtos[$j] + 1;
                    }
                }
            }
        }

        $arrayNovo = Array();
        $contTemp = 0;
        for ($i = 0; $i < sizeof($todos); $i++) {
            if ($contaQtos[$i] > 0) {
                $arrayNovo[$contTemp] = $todos[$i];
                $contTemp ++;
            }
        }
        fclose($fh);
        ?>
        <h2>Curso: <?= $curso ?></h2>
        <h3>Relatório de presenças</h3>
        <hr />
        <?php
        for ($i = 0; $i < sizeof($arrayNovo); $i++) {
            echo "<div class='turma'>Turma " . $arrayNovo[$i] . "</div>";

            if (strpos($curso, 'grono') !== false) {
                $fh = fopen('registros/agronomia.txt', 'r');
            }
            if (strpos($curso, 'lores') !== false) {
                $fh = fopen('registros/florestal.txt', 'r');
            }
            if (strpos($curso, 'mento') !== false) {
                $fh = fopen('registros/alimentos.txt', 'r');
            }
            
            $contaAlunos = 0;
            
            echo "<div class='titulo_presentes'>Presentes:</div><table class='tabela_presentes'>";

            while ($line = fgets($fh)) {
                $parametro = trim($line);
                $anoLine = explode(';', $parametro)[2];
                if ($anoLine == $arrayNovo[$i]) {
                    $contaAlunos ++;
                    echo "<tr><td>".$contaAlunos."</td><td>".explode(';', $parametro)[0]."</td></tr>";
                    
                }
                
            }
            if ($contaAlunos == 0) {
                echo "<tr><td>Nenhum presente</td></tr>";
            }
            echo "</table>";
            $qtosTurma = consultaQtosNaTurma($arrayNovo[$i], $curso);
            $qtosPresente = qtosPresentes($arrayNovo[$i], $curso);
            
            $porcentagemTurma = $qtosPresente/$qtosTurma * 100;
            echo "<br><div class='titulo_presentes'>Apuração da turma ".$arrayNovo[$i].": <b>".$qtosTurma."</b> formados. <b>". $qtosPresente ."</b> presentes. Porcentagem: <b>".  number_format($porcentagemTurma, 2)."%</b>.</div>";
            
            echo "<hr />";
            fclose($fh);
        }
        ?>

    </body>
</html>