<?php

function getAnos() {
    $todos = Array();
    $contaQtos = Array();
    $count = 0;
    for ($i = 1966; $i <= 2017; $i++) {
        $todos[$count] = $i;
        $contaQtos[$count] = 0;
        $count ++;
    }

    $fh = fopen('registros/agronomia.txt', 'r');
    while ($line = fgets($fh)) {
        $parametro = trim($line);
        $anoLine = explode(';', $parametro)[2];

        for ($j = 0; $j < sizeof($todos); $j++) {
            if ($anoLine == $todos[$j]) {
                $contaQtos[$j] = $contaQtos[$j] + 1;
            }
        }
    }
    $fh = fopen('registros/alimentos.txt', 'r');
    while ($line = fgets($fh)) {
        $parametro = trim($line);
        $anoLine = explode(';', $parametro)[2];

        for ($j = 0; $j < sizeof($todos); $j++) {
            if ($anoLine == $todos[$j]) {
                $contaQtos[$j] = $contaQtos[$j] + 1;
            }
        }
    }
    $fh = fopen('registros/florestal.txt', 'r');
    while ($line = fgets($fh)) {
        $parametro = trim($line);
        $anoLine = explode(';', $parametro)[2];

        for ($j = 0; $j < sizeof($todos); $j++) {
            if ($anoLine == $todos[$j]) {
                $contaQtos[$j] = $contaQtos[$j] + 1;
            }
        }
    }
    $arrayNovo = Array();
    $contTemp = 0;
    for ($i = 0; $i < sizeof($todos); $i++) {
        if ($contaQtos[$i] > 0) {
            $arrayNovo[$contTemp] = $todos[$i];
            $contTemp ++;
        }
    }
    fclose($fh);
    return $arrayNovo;
}

function consultaQtosNaTurma($ano, $curso) {
    $contador = 0;
    if (strpos($curso, 'grono') !== false) {
        $fh = fopen('agronomia.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'lores') !== false) {
        $fh = fopen('florestal.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
    if (strpos($curso, 'mento') !== false) {
        $fh = fopen('alimentos.txt', 'r');
        while ($line = fgets($fh)) {

            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        return $contador;
    }
}

function qtosPresentes($ano, $curso) {
    $contador = 0;
    //$qtosNaTurma = consultaQtosNaTurma($ano, $curso);
    if (strpos($curso, 'grono') !== false) {
        $fh = fopen('registros/agronomia.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        $aTurma = consultaQtosNaTurma($ano, $curso);
        if ($aTurma > 0) {
            return $contador / $aTurma * 100;
        } else {
            return 0;
        }
    }
    if (strpos($curso, 'lores') !== false) {
        $fh = fopen('registros/florestal.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        $aTurma = consultaQtosNaTurma($ano, $curso);
        if ($aTurma > 0) {
            return $contador / $aTurma * 100;
        } else {
            return 0;
        }
    }
    if (strpos($curso, 'mento') !== false) {
        $fh = fopen('registros/alimentos.txt', 'r');
        while ($line = fgets($fh)) {
            $parametro = trim($line);
            $anoLine = explode(';', $parametro)[2];
            if ($anoLine == $ano) {
                $contador ++;
            }
        }
        fclose($fh);
        $aTurma = consultaQtosNaTurma($ano, $curso);
        if ($aTurma > 0) {
            return $contador / $aTurma * 100;
        } else {
            return 0;
        }
    }
}
?>

<html>
    <head>
        <link rel="stylesheet" type="text/css" href="style.css">
        <meta http-equiv="refresh" content="15" >
        <meta charset="utf-8">
        <script type="text/javascript">
            window.onload = function() {
                var chart = new CanvasJS.Chart("chartContainer",
                        {
                            theme: "theme3",
                            animationEnabled: true,
                            title: {
                                text: "Desafio Presença - Festa da Saudade",
                                fontSize: 40
                            },
                            toolTip: {
                                shared: true
                            },
                            axisX: {
                                labelFontColor: "white",
                                margin: -55,
                            },
                            axisY: {
                            },
                            data: [
                                {
                                    type: "column",
                                    legendText: "Agronomia",
                                    name: "Agronomia",
                                    showInLegend: true,
                                    dataPoints: [
<?php
$anos = getAnos();
for ($i = 0; $i < sizeof($anos); $i++) {
    $presentes = qtosPresentes($anos[$i], "Agronomia");
    if ($presentes > 0) {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . ", indexLabel: \"" . $anos[$i] . "\", indexLabelFontColor: 'orange', indexLabelOrientation: 'vertical', indexLabelPlacement: 'inside',indexLabelFontFamily: 'arial'},";
    } else {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . "},";
    }
}
?>



                                    ]
                                },
                                {
                                    type: "column",
                                    legendText: "Engenharia de Alimentos",
                                    name: "Engenharia de Alimentos",
                                    showInLegend: true,
                                    dataPoints: [
<?php
$anos = getAnos();
for ($i = 0; $i < sizeof($anos); $i++) {
    $presentes = qtosPresentes($anos[$i], "Alimentos");
    if ($presentes > 0) {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . ", indexLabel: \"" . $anos[$i] . "\", indexLabelFontColor: 'orange', indexLabelOrientation: 'vertical', indexLabelPlacement: 'inside',indexLabelFontFamily: 'arial'},";
    } else {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . "},";
    }
}
?>


                                    ]
                                },
                                {
                                    type: "column",
                                    legendText: "Engenharia Florestal",
                                    name: "Engenharia Florestal",
                                    showInLegend: true,
                                    dataPoints: [
<?php
for ($i = 0; $i < sizeof($anos); $i++) {
    $presentes = qtosPresentes($anos[$i], "Florestal");
    if ($presentes > 0) {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . ", indexLabel: \"" . $anos[$i] . "\", indexLabelFontColor: 'orange', indexLabelOrientation: 'vertical', indexLabelPlacement: 'inside',indexLabelFontFamily: 'arial'},";
    } else {
        echo "{label: \"" . $anos[$i] . "\", y: " . number_format($presentes, 2) . "},";
    }
}
?>


                                    ]
                                }

                            ],
                            legend: {
                                cursor: "pointer",
                                itemclick: function(e) {
                                    if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
                                        e.dataSeries.visible = false;
                                    }
                                    else {
                                        e.dataSeries.visible = true;
                                    }
                                    chart.render();
                                }
                            },
                        });

                chart.render();
            }
        </script>
        <script type="text/javascript" src="canvasjs.min.js"></script>
    </head>
    <body style="background: black; color: white;">
        <div id="chartContainer" style="height: 100%; width: 100%;">
        </div>
    </body>
</html>